DOM::Text Class Reference

`#include <dom_text.h>`

Inheritance diagram for DOM::Text:

## Public Member Functions

| Text (const Text &other)
| Text (const Node &other)
Text & | operator= (const Node &other)
Text & | operator= (const Text &other)
Text | splitText (const unsigned long offset)
Public Member Functions inherited from DOM::CharacterData
| CharacterData (const CharacterData &other)
| CharacterData (const Node &other)
CharacterData & | operator= (const Node &other)
CharacterData & | operator= (const CharacterData &other)
DOMString | data () const
void | setData (const DOMString &)
unsigned long | length () const
DOMString | substringData (const unsigned long offset, const unsigned long count)
void | appendData (const DOMString &arg)
void | insertData (const unsigned long offset, const DOMString &arg)
void | deleteData (const unsigned long offset, const unsigned long count)
void | replaceData (const unsigned long offset, const unsigned long count, const DOMString &arg)
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| Text (TextImpl *i)
Protected Member Functions inherited from DOM::CharacterData
| CharacterData (CharacterDataImpl *i)

## Friends

class | Document
class | TextImpl

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

The `Text` interface represents the textual content (termed character data in XML) of an `Element` or `Attr` .

If there is no markup inside an element's content, the text is contained in a single object implementing the `Text` interface that is the only child of the element. If there is markup, it is parsed into a list of elements and `Text` nodes that form the list of children of the element.

When a document is first made available via the DOM, there is only one `Text` node for each block of text. Users may create adjacent `Text` nodes that represent the contents of a given element without any intervening markup, but should be aware that there is no way to represent the separations between these nodes in XML or HTML, so they will not (in general) persist between DOM editing sessions. The `normalize()` method on `Element` merges any such adjacent `Text` objects into a single node for each block of text; this is recommended before employing operations that depend on a particular document structure, such as navigation with `XPointers`.

Definition at line 269 of file dom_text.h.

## Member Function Documentation

Text Text::splitText | ( | const unsigned long | offset | ) |

Breaks this `Text` node into two Text nodes at the specified offset, keeping both in the tree as siblings.

This node then only contains all the content up to the `offset` point. And a new `Text` node, which is inserted as the next sibling of this node, contains all the content at and after the `offset` point.

Parameters

  offset | The offset at which to split, starting from 0.

Returns
  The new `Text` node.

Exceptions

  DOMException | INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data` .

NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Definition at line 223 of file dom_text.cpp.

The documentation for this class was generated from the following files:

- dom_text.h
- dom_text.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys